Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface ProductItem

All Superinterfaces:
  CatalogItem, ConfigurableEntity, Serializable

All Known Subinterfaces:
  MutableProductItem

All Known Implementing Classes:
  MutableProductItemImpl, ProductItemImpl

public interface ProductItem
extends CatalogItem

This is the interface for all product items contained by the Catalog. This interface exposes data accessors for product item data conforming to the Dublin Core Metadata. Refer to the DCM spec for details: Dublin Core Element Set

Field Summary
`static int` | `DETAILED_DISPLAY_JSP_INDEX` The index for the detailed display JSP
`static char` | `INVISIBLE_ITEM` Constant identifier for invisible items
`static int` | `MAX_JSP` The number of JSPs supported
`static int` | `SUMMARY_DISPLAY_JSP_INDEX` The index for the summary display JSP
`static char` | `VISIBLE_ITEM` Constant identifier for visible item

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`LARGE_IMAGE_INDEX, LONG_DESCRIPTION_INDEX, MAX_DESCRIPTION, MAX_IMAGES, SHORT_DESCRIPTION_INDEX, SMALL_IMAGE_INDEX`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Method Summary
`InventoryInfo` | `getAvailability()` Get the inventory/availability information for the product item.
`Money` | `getCurrentPrice()` Get the current price for the product item.
`String` | `getFormat()` Get the format information for the product item.
`JspInfo` | `getJsp(int index)` Get the JSP information for the product item.
`Money` | `getMsrp()` Get the MSRP price for the product item.
`String` | `getShippingCode()` Get the shipping code for the product item.
`String` | `getTaxCode()` Get the tax code for the product item.
`String` | `getType()` Get the type information for the product item.
`char` | `getVisible()` Get the visiblity mode for this item.

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`getContributor, getCoverage, getCreationDate, getCreator, getDescription, getImage, getKey, getLanguage, getModifiedDate, getName, getPublisher, getRelation, getRights, getSource`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getProperty, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### SUMMARY_DISPLAY_JSP_INDEX

    public static final int SUMMARY_DISPLAY_JSP_INDEX

  The index for the summary display JSP

  See Also:
    Constant Field Values

### DETAILED_DISPLAY_JSP_INDEX

    public static final int DETAILED_DISPLAY_JSP_INDEX

  The index for the detailed display JSP

  See Also:
    Constant Field Values

### MAX_JSP

    public static final int MAX_JSP

  The number of JSPs supported

  See Also:
    Constant Field Values

### VISIBLE_ITEM

    public static final char VISIBLE_ITEM

  Constant identifier for visible item

  See Also:
    Constant Field Values

### INVISIBLE_ITEM

    public static final char INVISIBLE_ITEM

  Constant identifier for invisible items

  See Also:
    Constant Field Values

Method Detail

### getJsp

    public JspInfo getJsp(int index)

  Get the JSP information for the product item.

  Parameters:
    `index` - one of SUMMARY_DISPLAY_JSP_INDEX or DETAILED_DISPLAY_JSP_INDEX.
  Returns:
    jspInfo the JSP information.

### getFormat

    public String getFormat()

  Get the format information for the product item.

  Name: Format

  Identifier: Format

  Definition: The physical or digital manifestation of the resource.

  Comment: Typically, Format may include the media-type or dimensions of the resource. Format may be used to determine the software, hardware or other equipment needed to display or operate the resource. Examples of dimensions include size and duration. Recommended best practice is to select a value from a controlled vocabulary (for example, the list of Internet Media Types [MIME] defining computer media formats).

  Returns:
    the format

### getType

    public String getType()

  Get the type information for the product item.

  Name: Resource Type

  Identifier: Type

  Definition: The nature or genre of the content of the resource.

  Comment: Type includes terms describing general categories, functions, genres, or aggregation levels for content. Recommended best practice is to select a value from a controlled vocabulary (for example, the working draft list of Dublin Core Types [DCT1]). To describe the physical or digital manifestation of the resource, use the FORMAT element.

  Returns:
    the type

### getTaxCode

    public String getTaxCode()

  Get the tax code for the product item. The tax code used should reference the WLCS tax calculation system currently being used.

  Returns:
    the tax code

### getShippingCode

    public String getShippingCode()

  Get the shipping code for the product item.

  Returns:
    the shipping code

### getMsrp

    public Money getMsrp()

  Get the MSRP price for the product item.

  Returns:
    the price for the product item.

### getCurrentPrice

    public Money getCurrentPrice()

  Get the current price for the product item.

### getAvailability

    public InventoryInfo getAvailability()

  Get the inventory/availability information for the product item.

  Returns:
    the inventory information for the product item.

### getVisible

    public char getVisible()

  Get the visiblity mode for this item.

  Returns:
    one of ProductItem.VISIBLE_ITEM or ProductItem.INVISIBLE_ITEM

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved